﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceProcess;
using System.Reflection;
using System.IO;

namespace VPNMonitor
{
	public class Service : ServiceBase
	{
		VPNMonitor monitor;

		public Service()
		{
			this.ServiceName = "VPNMonitorService";
			monitor = new VPNMonitor();
		}

		protected override void OnStart(string[] args)
		{
			monitor.Start();
		}

		protected override void OnStop()
		{
			monitor.Stop();
		}
	}
}
